ContainerEvent (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina

## Class ContainerEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.catalina.ContainerEvent

- All Implemented Interfaces:
    Serializable

      public final class ContainerEvent
      extends EventObject

  General event for notifying listeners of significant changes on a Container.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerEvent(Container container, String type, Object data)` Construct a new ContainerEvent with the specified parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Container` | `getContainer()` Return the Container on which this event occurred.
    `Object` | `getData()` Return the event data of this event.
    `String` | `getType()` Return the event type of this event.
    `String` | `toString()` Return a string representation of this event.

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerEvent

          public ContainerEvent(Container container,
                                String type,
                                Object data)

      Construct a new ContainerEvent with the specified parameters.
      Parameters:
        `container` - Container on which this event occurred
        `type` - Event type
        `data` - Event data

  - ### Method Detail

    - #### getData

          public Object getData()

      Return the event data of this event.
      Returns:
        The data, if any, associated with this event.

    - #### getContainer

          public Container getContainer()

      Return the Container on which this event occurred.
      Returns:
        The Container on which this event occurred.

    - #### getType

          public String getType()

      Return the event type of this event.
      Returns:
        The event type of this event. Although this is a String, it is safe to rely on the value returned by this method remaining consistent between point releases.

    - #### toString

          public String toString()

      Return a string representation of this event.
      Overrides:
        `toString` in class `EventObject`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.